@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;500;600&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Space+Mono&display=swap");
@import url("https://cdnjs.cloudflare.com/ajax/libs/meyer-reset/2.0/reset.min.css");

* {
  box-sizing: border-box;
}

a {
  display: inline-block;
  color: inherit;
  text-decoration: none;
}

body {
  background-color: #21223d;
  width: 100vw;
  height: 100vh;
  font-family: "Poppins", sans-serif;
  font-weight: 300;
  color: #fff;
}

header {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

#logo {
  padding: 12px;
}

#logo img {
  width: 60%;
}

#dwp {
  font-size: 18px;
  margin-right: 8px;
}

#dwp span {
  font-size: 28px;
  position: relative;
  left: -4px;
}

#wrapper {
  height: 100%;
  width: 100%;
  overflow: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

#plate {
  margin-bottom: 32px;
  background-color: rgba(0, 0, 0, 0.25);
  padding: 16px;
  border-radius: 8px;
  border: 1px solid rgba(0, 0, 0, 0.75);
}

#ctas {
  padding: 16px;
  width: 100%;
}

#ownersnote {
  margin-bottom: 16px;
}

.btn {
  border: none;
  outline: none;
  display: block;
  background-color: #2196f3;
  color: #fff;
  padding: 16px 32px;
  text-align: center;
  margin: 12px 0;
  border-radius: 32px;
  font-weight: 400;
  width: 100%;
  transition: 0.75s cubic-bezier(0.075, 0.82, 0.165, 1);
  font-family: inherit;
  font-size: 16px;
}

.btn:hover {
  transform: scale(0.9);
}

.btn:disabled {
  background-color: #666;
}

.info {
  width: 100%;
  padding: 16px;
  font-size: 12px;
  letter-spacing: 1px;
  line-height: 16px;
  opacity: 0.75;
  text-align: center;
  margin-top: 32px;
}

.stores {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 16px;
}

.stores img {
  width: 30%;
  background-color: #fff;
  border-radius: 10px;
  overflow: hidden;
  margin: 0 4px;
}

#message {
  position: fixed;
  top: 100%;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  z-index: 2;
  background-color: rgba(0, 0, 0, 0.9);
  padding: 16px;
  transition: 1s cubic-bezier(0.075, 0.82, 0.165, 1);
}

#message p {
  font-size: 12px;
  letter-spacing: 1px;
  line-height: 16px;
  opacity: 0.75;
}

#message h1 {
  font-weight: bold;
  font-size: 28px;
  margin: 32px 0 16px;
}

#message.active {
  top: 0;
}

#txt-message {
  width: 100%;
  margin-top: 32px;
  background-color: transparent;
  outline: none;
  padding: 16px;
  color: #fff;
  font-family: "Poppins", sans-serif;
  font-weight: 300;
  border-radius: 8px;
  margin-bottom: 16px;
}

#btn-close {
  position: absolute;
  padding: 16px;
  top: 0;
  right: 0;
}

#btn-close img {
  width: 24px;
}

#result {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 5;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: #21223d;
  padding: 16px;
  transition: 1s cubic-bezier(0.075, 0.82, 0.165, 1);
  visibility: hidden;
  opacity: 0;
}

#result.active {
  visibility: visible;
  opacity: 1;
}

#result h1 {
  margin-bottom: 32px;
}

#img-success {
  width: 96px;
  display: inline-block;
  margin-bottom: 32px;
}

#loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.9);
  z-index: 10;
  display: flex;
  justify-content: center;
  align-items: center;
  visibility: hidden;
  opacity: 0;
  transition: 1s cubic-bezier(0.075, 0.82, 0.165, 1);
}

#loading.active {
  visibility: visible;
  opacity: 1;
}

.loader {
  transform: rotateZ(45deg);
  perspective: 1000px;
  border-radius: 50%;
  width: 148px;
  height: 148px;
  color: #fff;
}

.loader:before,
.loader:after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: inherit;
  height: inherit;
  border-radius: 50%;
  transform: rotateX(70deg);
  animation: 1s spin linear infinite;
}

.loader:after {
  color: #2196f3;
  transform: rotateY(70deg);
  animation-delay: 0.4s;
}

@keyframes rotate {
  0% {
    transform: translate(-50%, -50%) rotateZ(0deg);
  }

  100% {
    transform: translate(-50%, -50%) rotateZ(360deg);
  }
}

@keyframes rotateccw {
  0% {
    transform: translate(-50%, -50%) rotate(0deg);
  }

  100% {
    transform: translate(-50%, -50%) rotate(-360deg);
  }
}

@keyframes spin {

  0%,
  100% {
    box-shadow: 0.2em 0px 0 0px currentcolor;
  }

  12% {
    box-shadow: 0.2em 0.2em 0 0 currentcolor;
  }

  25% {
    box-shadow: 0 0.2em 0 0px currentcolor;
  }

  37% {
    box-shadow: -0.2em 0.2em 0 0 currentcolor;
  }

  50% {
    box-shadow: -0.2em 0 0 0 currentcolor;
  }

  62% {
    box-shadow: -0.2em -0.2em 0 0 currentcolor;
  }

  75% {
    box-shadow: 0px -0.2em 0 0 currentcolor;
  }

  87% {
    box-shadow: 0.2em -0.2em 0 0 currentcolor;
  }
}